Python
from parallel import Parallel
client = Parallel()
schema = client.beta.findall.extend(
findall_id="findall_56ccc4d188fb41a0803a935cf485c774",
additional_match_limit=10,
)
print(f"FindAll run extended: {schema.model_dump_json(indent=2)}")import Parallel from "parallel-web";
const client = new Parallel();
const schema = await client.beta.findall.extend(
"findall_56ccc4d188fb41a0803a935cf485c774",
{
additional_match_limit: 10,
}
);
console.log(`FindAll run extended: ${JSON.stringify(schema, null, 2)}`);HttpResponse<String> response = Unirest.post("https://api.parallel.ai/v1beta/findall/runs/{findall_id}/extend")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"additional_match_limit\": 123\n}")
.asString();curl --request POST \
--url https://api.parallel.ai/v1beta/findall/runs/{findall_id}/extend \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"additional_match_limit": 123
}
'{
"objective": "Find all AI companies that raised Series A funding in 2024",
"entity_type": "companies",
"match_conditions": [
{
"name": "developing_ai_products_check",
"description": "Company must be developing artificial intelligence (AI) products"
}
],
"enrichments": [
{
"processor": "core",
"output_schema": {
"json_schema": {
"type": "object",
"properties": {
"ceo_name": {
"type": "string",
"description": "Name of the current CEO of the company. If the CEO is not publicly known, provide the name of the highest-ranking executive or founder. If no information is available, return null."
}
}
},
"type": "json"
}
}
],
"generator": "core",
"match_limit": 50
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "FindAll run not found"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Additional match limit must be greater than 0"
}
}FindAll
Extend FindAll Run
Extend a FindAll run by adding additional matches to the current match limit.
POST
/
v1beta
/
findall
/
runs
/
{findall_id}
/
extend
Python
from parallel import Parallel
client = Parallel()
schema = client.beta.findall.extend(
findall_id="findall_56ccc4d188fb41a0803a935cf485c774",
additional_match_limit=10,
)
print(f"FindAll run extended: {schema.model_dump_json(indent=2)}")import Parallel from "parallel-web";
const client = new Parallel();
const schema = await client.beta.findall.extend(
"findall_56ccc4d188fb41a0803a935cf485c774",
{
additional_match_limit: 10,
}
);
console.log(`FindAll run extended: ${JSON.stringify(schema, null, 2)}`);HttpResponse<String> response = Unirest.post("https://api.parallel.ai/v1beta/findall/runs/{findall_id}/extend")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"additional_match_limit\": 123\n}")
.asString();curl --request POST \
--url https://api.parallel.ai/v1beta/findall/runs/{findall_id}/extend \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"additional_match_limit": 123
}
'{
"objective": "Find all AI companies that raised Series A funding in 2024",
"entity_type": "companies",
"match_conditions": [
{
"name": "developing_ai_products_check",
"description": "Company must be developing artificial intelligence (AI) products"
}
],
"enrichments": [
{
"processor": "core",
"output_schema": {
"json_schema": {
"type": "object",
"properties": {
"ceo_name": {
"type": "string",
"description": "Name of the current CEO of the company. If the CEO is not publicly known, provide the name of the highest-ranking executive or founder. If no information is available, return null."
}
}
},
"type": "json"
}
}
],
"generator": "core",
"match_limit": 50
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "FindAll run not found"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Additional match limit must be greater than 0"
}
}Authorizations
Headers
Path Parameters
Body
application/json
Input model for FindAll extend.
Additional number of matches to find for this FindAll run. This value will be added to the current match limit to determine the new total match limit. Must be greater than 0.
Response
Successful Response
Response model for FindAll ingest.
Natural language objective of the FindAll run.
Example:
"Find all AI companies that raised Series A funding in 2024"
Type of the entity for the FindAll run.
List of match conditions for the FindAll run.
Show child attributes
Show child attributes
List of enrichment inputs for the FindAll run.
Show child attributes
Show child attributes
The generator of the FindAll run.
Available options:
base, core, pro, preview Max number of candidates to evaluate